GetUserProfile
/api/v1/users/{user}/userprofileFetch additional information about a given user such as their pronouns, location, and reporting chain.
Example request
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/users/{user}/userprofile"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/users/{user}/userprofile"Set OBLIQUE_API_KEY to your API key.
Path parameters
namestringrequiredFormat:
users/{user}/userprofileorusers/me/userprofile.
Response
200UserProfileUser profile is a singleton resource that’s automatically created for all users and can be edited and managed separately.
As a general rule, information that is available when listing all users
is on the User message, information that is only displayed when viewing
an individual user’s page is on the UserProfile.
namestringAssigned by Oblique. Format:
users/{user}/userprofilecreateTimestring (date-time)read-onlyCreate and update timestamps.
updateTimestring (date-time)read-onlydeleteTimestring (date-time)read-onlyUser profiles can only be soft-deleted to preserve logs and history. If this field is present, the user has been deleted and this profile can’t be updated and won’t be returned in lists.
aboutstringLonger description.
pronounsstringPreferred pronouns. “he/him”, “they/them”.
locationstringBusiness location, such as “San Francisco”.
timeZonestringIANA TZ codes “America/Los_Angeles” or “Europe/London”.
reportingChainstring[]read-onlyReporting chain of the user from lowest in the chain to highest.
[“users/manager”, “users/director”, “users/vp”, “users/ceo”]
Format:
users/{user}reportsstring[]read-onlyList of direct reports to this user.
Format:
users/{user}
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |